package pl.edu.s3996.zad3;

import java.io.IOException;
import java.io.PrintWriter;


public class SimpleAdder extends javax.servlet.http.HttpServlet {

    protected void serviceRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();

        out.println("<h2>Dodawanie POST</h2>");
        out.println("<form method=\"POST\">");
        out.println("<input type=\"text\" name=\"param1\" id=\"param1\"> + <input type=\"text\" name=\"param2\" id=\"param2\">" );
        out.println("<input type=\"submit\" value=\"Dodaj\">");
        out.println("</form>");

        out.println("<h2>Dodawanie GET</h2>");
        out.println("<form method=\"GET\">");
        out.println("<input type=\"text\" name=\"param1\" id=\"param1\"> + <input type=\"text\" name=\"param2\" id=\"param2\">" );
        out.println("<input type=\"submit\" value=\"Dodaj\">");
        out.println("</form>");

        String param1 = request.getParameter("param1");
        String param2 = request.getParameter("param2");

        if (param1 != "" && param2 != "") {
            Integer toAdd1;
            Integer toAdd2;

            try {
                toAdd1 = Integer.parseInt(param1);
                toAdd2 = Integer.parseInt(param2);
                int suma = toAdd1 + toAdd2;

                out.println("Suma dla podanych parametrów to: " + suma);
            } catch (NumberFormatException e) {
                out.println("Podaj poprawne parametry (typu integer)");
            }
        }
    }

    protected void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException {
        serviceRequest(request, response);
    }

    protected void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException {
        serviceRequest(request, response);
    }
}
